local L = AceLibrary("AceLocale-2.2"):new("AutoTurnin")

AutoTurnin.Quests = {
	-- AV Repetive Quests
	[L["Irondeep Supplies"]] = { ["17522"] = 10 }, -- Irondeep Supplies
	[L["Coldtooth Supplies"]] = { ["17542"] = 10 }, -- Coldtooth Supplies
	[L["Empty Stables"]] = {},
	-- Alliance AV Quests
	[L["Call of Air - Slidore's Fleet"]] = { ["17502"] = 1 }, -- Frostwolf Soldier's Medal
	[L["Call of Air - Vipore's Fleet"]] = { ["17503"] = 1 }, -- Frostwolf Lieutenant's Medal
	[L["Call of Air - Ichman's Fleet"]] = { ["17504"] = 1 }, -- Frostwolf Commander's Medal
	[L["More Armor Scraps"]] = { ["17422"] = 20 }, -- Armor Scraps
	[L["Ram Riding Harnesses"]] = { ["17643"] = 1 }, -- Frostwolf Hide
	-- Horde AV Quests
	[L["Call of Air - Guse's Fleet"]] = { ["17326"] = 1 }, -- Stormpike Soldier's Flesh
	[L["Call of Air - Mulverick's Fleet"]] = { ["17328"] = 1 }, -- Stormpike Commander's Flesh
	[L["Call of Air - Jeztor's Fleet"]] = { ["17327"] = 1}, -- Stormpike Lieutenant's Flesh
	[L["More Booty!"]] = { ["17422"] = 1 }, -- Armor Scraps
	[L["Ram Hide Harnesses"]] = { ["17642"] = 1 }, -- Alterac Ram Hide
	-- Timbermaw Quests
	[L["Feathers for Grazle"]] = { ["21377"] = 5 }, -- Deadwood Headdress Feather
	[L["Feathers for Nafien"]] = { ["21377"] = 5 }, -- Deadwood Headdress Feather
	[L["Beads for Salfa"]] = { ["21383"] = 5 }, -- Winterfall Spirit Beads
	-- Cauldron Quests
	[L["Gahrron's Withering Cauldron"]] = { ["13196"] = 1 }, -- Gahrron's Withering Cauldron Key
	[L["Writhing Haunt Cauldron"]] = { ["13197"] = 1 }, -- Writhing Haunt Cauldron Key
	[L["Felstone Field Cauldron"]] = { ["13194"] = 1 }, -- Felstone Field Cauldron Key
	[L["Dalson's Tears Cauldron"]] = { ["13195"] = 1 }, -- Dalson's Tears Cauldron Key
	-- Tanaris Cartel Faction
	[L["Water Pouch Bounty"]] = { ["8483"] = 5 }, -- Wastewander Water Pouch
	-- Felwood Tubers
	[L["Corrupted Whipper Root"]] = {}, -- ?
	[L["Corrupted Songflower"]] = {}, -- ?
	[L["Corrupted Windblossom"]] = {}, -- ?
	[L["Corrupted Night Dragon"]] = {}, -- ?
	-- Cenarion Circle
	[L["Encrypted Twilight Texts"]] = { ["20404"] = 10 }, -- Encrypted Twilight Text
	-- Argent Dawn
	[L["Minion's Scourgestones"]] = { ["12840"] = 20 }, -- Minion's Scourgestones
	[L["Invader's Scourgestones"]] = { ["12841"] = 10 }, -- Invader's Scourgestone
	[L["Corruptor's Scourgestones"]] = { ["12843"] = 1 }, -- Corruptor's Scourgestone
	-- Thorium Point
	[L["Gaining Acceptance"]] = { ["18945"] = 4 }, -- Dark Iron Residue
	[L["Restoring Fiery Flux Supplies via Kingsblood"]] = { ["3356"] = 1 }, -- Kingsblood
	[L["Restoring Fiery Flux Supplies via Iron"]] = { ["2772"] = 1 }, -- Iron Ore
	[L["Restoring Fiery Flux Supplies via Heavy Leather"]] = { ["4234"] = 10 }, -- Heavy Leather
	-- Thorium Brotherhood, BRD Bar
	[L["Favor Amongst the Brotherhood, Dark Iron Ore"]] = { ["11370"] = 10 }, -- Dark Iron Ore
	[L["Favor Amongst the Brotherhood, Blood of the Mountain"]] = { ["11382"] = 1 }, -- Blood of the Mountain
	[L["Favor Amongst the Brotherhood, Core Leather"]] = { ["17012"] = 2 }, -- Core Leather
	[L["Favor Amongst the Brotherhood, Fiery Core"]] = { ["17010"] = 1 }, -- Fiery Core
	[L["Favor Amongst the Brotherhood, Lava Core"]] = { ["17011"] = 1 }, -- Lava Core
	-- PVP NPCs
	[L["Claiming Arathi Basin"]] = { ["20559"] = 3 }, -- Arathi Basin Mark of Honor
	[L["Fight for Warsong Gulch"]] = { ["20558"] = 3 }, -- Warsong Gulch Mark of Honor
	[L["Remember Alterac Valley!"]] = { ["20560"] = 3 }, -- Alterac Valley Mark of Honor
	[L["Conquering Arathi Basin"]] = { ["20559"] = 3 }, -- Arathi Basin Mark of Honor
	[L["Battle of Warsong Gulch"]] = { ["20558"] = 3 }, -- Warsong Gulch Mark of Honor
	[L["Invaders of Alterac Valley"]] = { ["20560"] = 3 }, -- Alterac Valley Mark of Honor
	[L["A Gallon of Blood"]] = { ["17306"] = 5 }, -- Stormpike Soldier's Blood
	[L["Crystal Cluster"]] = { ["17423"] = 5 }, -- Storm Crystal
	-- City Faction
	[L["Additional Runecloth"]] = { ["14047"] = 20 }, -- Runecloth
	-- Wildhammer
	[L["Troll Necklace Bounty"]] = { ["9259"] = 5 }, -- Troll Tribal Necklace
	-- Eko Quests
	[L["Chillwind E'ko"]] = 	{ ["12434"] = 3 }, -- Chillwind E'ko
	[L["Frostmaul E'ko"]] = 	{ ["12436"] = 3 }, -- Frostmaul E'ko
	[L["Frostsaber E'ko"]] = 	{ ["12430"] = 3 }, -- Frostsaber E'ko
	[L["Ice Thistle E'ko"]] = 	{ ["12435"] = 3 }, -- Ice Thistle E'ko
	[L["Shardtooth E'ko"]] = 	{ ["12432"] = 3 }, -- Shardtooth E'ko
	[L["Wildkin E'ko"]] = 	{ ["12433"] = 3 }, -- Wildkin E'ko
	[L["Winterfall E'ko"]] = 	{ ["12431"] = 3 }, -- Winterfall E'ko
	[L["Salve via Skinning"]] = { ["11512"] = 5 }, -- Patch of Tainted Skin
	[L["Salve via Hunting"]] = { ["11515"] = 6 }, -- Corrupted Soul Shard
	--  Burning Crusade
	-- Cenarion Exp
	[L["Identify Plant Parts"]] = { ["24401"] = 10 }, -- Unidentified Plant Parts
	[L["Coilfang Armaments"]] = { ["24368"] = 1 }, -- Coilfang Armaments
	-- SporeGar
	[L["More Glowcaps"]] = { ["24245"] = 10 }, -- Glowcap
	[L["More Fertile Spores"]] = { ["24449"] = 10 }, -- Fertile Spores
	-- Lower City
	[L["More Feathers"]] = { ["25719"] = 30 }, -- Arakkoa Feather
	-- Consortium
	[L["More Crystal Fragments"]] = { ["25416"] = 10 }, -- Oshu'gun Crystal Fragment
	[L["More Heads Full of Ivory"]] = { ["25463"] = 3 }, -- Pair of Ivory Tusks
	-- Halaa
	[L["Oshu'gun Crystal Powder"]] = { ["26042"] = 20 }, -- Oshu'gun Crystal Powder Sample
	-- Consortium
	[L["More Obsidian Warbeads"]] = { ["25433"] = 10 }, -- Obsidian Warbeads
	-- Burning Crusade
	-- Sporegarr
	[L["More Spore Sacs"]] = { ["24290"] = 10 }, -- Mature Spore Sac
	[L["More Tendrils!"]] = { ["24291"] = 6 }, -- Bog Lord Tendril
	[L["Bring Me Another Shrubbery!"]] = { ["24246"] = 5 }, -- Sanguine Hibiscus
	-- Aldor
	[L["More Marks of Kil'jaeden"]] = { ["29425"] = 10 }, -- Mark of Kil'jaeden
	[L["More Marks of Sargeras"]] = { ["30809"] = 10 }, --Marks of Sargeras
	[L["Fel Armaments"]] = { ["29740"] = 1 }, --Fel Armaments
	-- Scryer
	[L["More Firewing Signets"]] = { ["29426"] = 10}, -- Firewing Signet
	[L["More Sunfury Signets"]] = { ["30810"] = 10}, -- Sunfury Signet
	[L["Synthesis of Power"]] = { [""] = 1}, -- Arcane Tome
	-- Consortium
	[L["Another Heap of Ethereals"]] = { ["29209"] = 10 }, -- Zaxxis Insignia
	-- Mag'Har
	[L["More Warbeads!"]] = { ["25433"] = 10 }, -- Obsidian Warbeads
	-- Zandalar
	[L["Zulian, Razzashi, and Hakkari Coins"]] = {
		["19698"] = 1, -- Zulian Coin
		["19699"] = 1, -- Razzashi Coin
		["19700"] = 1, -- Hakkari Coin
	}, 
	[L["Gurubashi, Vilebranch, and Witherbark Coins"]] = {
		["19701"] = 1, -- Gurubashi Coin
		["19702"] = 1, -- Vilebranch Coin
		["19703"] = 1 -- Witherbark Coin
	}, 
	[L["Sandfury, Skullsplitter, and Bloodscalp Coins"]] = {
		["19704"] = 1, -- Sandfury Coin
		["19705"] = 1, -- Skullsplitter Coin
		["19706"] = 1, -- Bloodscalp Coin
	},
}

AutoTurnin.QuestsSingle = {
	-- PvP Npcs AV
	[L["Ivus the Forest Lord"]] = { ["17423"] = 1 }, -- Storm Crystal
	[L["Lokholar the Ice Lord"]] = { ["17306"] = 1 }, -- Stormpike Soldier's Blood
	-- Aldor
	[L["Single Mark of Kil'jaeden"]] = { ["29425"] = 1 }, -- Mark of Kil'jaeden
	[L["Single Mark of Sargeras"]] = { ["30809"] = 1 }, -- Marks of Sargeras
	-- Scryer
	[L["Single Firewing Signet"]] = { ["2942"] = 1}, -- Firewing Signet
	[L["Single Sunfury Signet"]] = { ["30810"] = 1}, -- Sunfury Signet
}